Package org.apache.cxf.feature.validation

# Class SchemaValidationFeature.Portable

java.lang.Object
org.apache.cxf.feature.validation.SchemaValidationFeature.Portable

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

Enclosing class:
  SchemaValidationFeature

public static class SchemaValidationFeature.Portable extends Object implements AbstractPortableFeature

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Portable(SchemaValidationTypeProvider provider)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)`
  `void`
  `initialize(Client client, Bus bus)`
  `void`
  `initialize(Server server, Bus bus)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cxf.feature.AbstractPortableFeature

  `initialize, initialize`

- ## Constructor Details

  - ### Portable

    public Portable(SchemaValidationTypeProvider provider)

- ## Method Details

  - ### initialize

    public void initialize(Server server, Bus bus)
    Specified by:
      `initialize` in interface `AbstractPortableFeature`
    Specified by:
      `initialize` in interface `Feature`

  - ### initialize

    public void initialize(Client client, Bus bus)
    Specified by:
      `initialize` in interface `AbstractPortableFeature`
    Specified by:
      `initialize` in interface `Feature`

  - ### doInitializeProvider

    public void doInitializeProvider(InterceptorProvider interceptorProvider, Bus bus)
    Specified by:
      `doInitializeProvider` in interface `AbstractPortableFeature`